Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remote.jms
Class JMSConnection

`java.lang.Object
RemoteConnection
oracle.toplink.remote.jms.JMSConnection`

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `JMSTopicTransportManager`

public class JMSConnection
extends RemoteConnection

This class exists on on the client side which talks to remote session controller through RMI connection.

See Also:
  Serialized Form

Constructor Summary
`JMSConnection(javax.jms.TopicSession session, javax.jms.TopicPublisher publisher)` Deprecated. PUBLIC: The connection must be create from the server-side session controllers stub.

Method Summary
`void` | `addRemoteControllerForSynchronization(java.lang.Object remoteDispatcher)` Deprecated. Since 4.0
`Session` | `createRemoteSession()` Deprecated. PUBLIC: Returns a remote session.
`void` | `cursoredStreamClose(java.rmi.server.ObjID remoteCursoredStreamOid)` Deprecated. Used for closing cursored streams across RMI.
`java.util.Vector` | `cursoredStreamNextPage(RemoteCursoredStream remoteCursoredStream, ReadQuery query, RemoteSession session, int pageSize)` Deprecated. Retrieve next page size of objects from the remote cursored stream
`int` | `cursoredStreamSize(java.rmi.server.ObjID remoteCursoredStreamID)` Deprecated. Return the cursored stream size
`void` | `processCommand(RemoteCommand command)` Deprecated. ADVANCED: This method will send the command to the remote session for processing
`boolean` | `scrollableCursorAbsolute(java.rmi.server.ObjID remoteScrollableCursorOid, int rows)` Deprecated. Moves the cursor to the given row number in the result set
`void` | `scrollableCursorAfterLast(java.rmi.server.ObjID remoteScrollableCursorOid)` Deprecated. Moves the cursor to the end of the result set, just after the last row.
`void` | `scrollableCursorBeforeFirst(java.rmi.server.ObjID remoteScrollableCursorOid)` Deprecated. Moves the cursor to the front of the result set, just before the first row
`void` | `scrollableCursorClose(java.rmi.server.ObjID remoteScrollableCursorOid)` Deprecated. Used for closing scrollable cursor across RMI.
`int` | `scrollableCursorCurrentIndex(java.rmi.server.ObjID remoteScrollableCursorOid)` Deprecated. Retrieves the current row index number
`boolean` | `scrollableCursorFirst(java.rmi.server.ObjID remoteScrollableCursorOid)` Deprecated. Moves the cursor to the first row in the result set
`boolean` | `scrollableCursorIsAfterLast(java.rmi.server.ObjID remoteScrollableCursorOid)` Deprecated. Indicates whether the cursor is after the last row in the result set.
`boolean` | `scrollableCursorIsBeforeFirst(java.rmi.server.ObjID remoteScrollableCursorOid)` Deprecated. Indicates whether the cursor is before the first row in the result set.
`boolean` | `scrollableCursorIsFirst(java.rmi.server.ObjID remoteScrollableCursorOid)` Deprecated. Indicates whether the cursor is on the first row of the result set.
`boolean` | `scrollableCursorIsLast(java.rmi.server.ObjID remoteScrollableCursorOid)` Deprecated. Indicates whether the cursor is on the last row of the result set.
`boolean` | `scrollableCursorLast(java.rmi.server.ObjID remoteScrollableCursorOid)` Deprecated. Moves the cursor to the last row in the result set
`java.lang.Object` | `scrollableCursorNextObject(java.rmi.server.ObjID remoteScrollableCursorOid, ReadQuery query, RemoteSession session)` Deprecated. Retrieve next object from the remote scrollable cursor
`java.lang.Object` | `scrollableCursorPreviousObject(java.rmi.server.ObjID remoteScrollableCursorOid, ReadQuery query, RemoteSession session)` Deprecated. Retrieve previous object from the remote scrollable cursor
`boolean` | `scrollableCursorRelative(java.rmi.server.ObjID remoteScrollableCursorOid, int rows)` Deprecated. Moves the cursor to the given row number in the result set
`int` | `scrollableCursorSize(java.rmi.server.ObjID cursorId)` Deprecated. Return the scrollable cursor size

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSConnection

    public JMSConnection(javax.jms.TopicSession session,
                         javax.jms.TopicPublisher publisher)

  Deprecated.
  PUBLIC: The connection must be create from the server-side session controllers stub. The session in then created from the connection through createRemoteSession().
See Also:
  `#createRemoteSession();`

Method Detail

### processCommand

    public void processCommand(RemoteCommand command)

  Deprecated.
  ADVANCED: This method will send the command to the remote session for processing
  Parameters:
    `command` - RemoteCOmmand Contains a command that will be executed on the remote session
  See Also:
    `oracle.toplink.internal.RemoteCommand`

### addRemoteControllerForSynchronization

    public void addRemoteControllerForSynchronization(java.lang.Object remoteDispatcher)
                                               throws java.lang.Exception

  Deprecated. Since 4.0
  ADVANCED: This method is intended to be used by newly connecting nodes to notify the other nodes in a distributed system to send changes to this calling server
  Throws:
    `java.lang.Exception`

### createRemoteSession

    public Session createRemoteSession()

  Deprecated.
  PUBLIC: Returns a remote session.

### cursoredStreamClose

    public void cursoredStreamClose(java.rmi.server.ObjID remoteCursoredStreamOid)

  Deprecated.
  Used for closing cursored streams across RMI.

### cursoredStreamNextPage

    public java.util.Vector cursoredStreamNextPage(RemoteCursoredStream remoteCursoredStream,
                                                   ReadQuery query,
                                                   RemoteSession session,
                                                   int pageSize)

  Deprecated.
  Retrieve next page size of objects from the remote cursored stream

### cursoredStreamSize

    public int cursoredStreamSize(java.rmi.server.ObjID remoteCursoredStreamID)

  Deprecated.
  Return the cursored stream size

### scrollableCursorAbsolute

    public boolean scrollableCursorAbsolute(java.rmi.server.ObjID remoteScrollableCursorOid,
                                            int rows)

  Deprecated.
  Moves the cursor to the given row number in the result set

### scrollableCursorAfterLast

    public void scrollableCursorAfterLast(java.rmi.server.ObjID remoteScrollableCursorOid)

  Deprecated.
  Moves the cursor to the end of the result set, just after the last row.

### scrollableCursorBeforeFirst

    public void scrollableCursorBeforeFirst(java.rmi.server.ObjID remoteScrollableCursorOid)

  Deprecated.
  Moves the cursor to the front of the result set, just before the first row

### scrollableCursorClose

    public void scrollableCursorClose(java.rmi.server.ObjID remoteScrollableCursorOid)

  Deprecated.
  Used for closing scrollable cursor across RMI.

### scrollableCursorCurrentIndex

    public int scrollableCursorCurrentIndex(java.rmi.server.ObjID remoteScrollableCursorOid)

  Deprecated.
  Retrieves the current row index number

### scrollableCursorFirst

    public boolean scrollableCursorFirst(java.rmi.server.ObjID remoteScrollableCursorOid)

  Deprecated.
  Moves the cursor to the first row in the result set

### scrollableCursorIsAfterLast

    public boolean scrollableCursorIsAfterLast(java.rmi.server.ObjID remoteScrollableCursorOid)

  Deprecated.
  Indicates whether the cursor is after the last row in the result set.

### scrollableCursorIsBeforeFirst

    public boolean scrollableCursorIsBeforeFirst(java.rmi.server.ObjID remoteScrollableCursorOid)

  Deprecated.
  Indicates whether the cursor is before the first row in the result set.

### scrollableCursorIsFirst

    public boolean scrollableCursorIsFirst(java.rmi.server.ObjID remoteScrollableCursorOid)

  Deprecated.
  Indicates whether the cursor is on the first row of the result set.

### scrollableCursorIsLast

    public boolean scrollableCursorIsLast(java.rmi.server.ObjID remoteScrollableCursorOid)

  Deprecated.
  Indicates whether the cursor is on the last row of the result set.

### scrollableCursorLast

    public boolean scrollableCursorLast(java.rmi.server.ObjID remoteScrollableCursorOid)

  Deprecated.
  Moves the cursor to the last row in the result set

### scrollableCursorNextObject

    public java.lang.Object scrollableCursorNextObject(java.rmi.server.ObjID remoteScrollableCursorOid,
                                                       ReadQuery query,
                                                       RemoteSession session)

  Deprecated.
  Retrieve next object from the remote scrollable cursor

### scrollableCursorPreviousObject

    public java.lang.Object scrollableCursorPreviousObject(java.rmi.server.ObjID remoteScrollableCursorOid,
                                                           ReadQuery query,
                                                           RemoteSession session)

  Deprecated.
  Retrieve previous object from the remote scrollable cursor

### scrollableCursorRelative

    public boolean scrollableCursorRelative(java.rmi.server.ObjID remoteScrollableCursorOid,
                                            int rows)

  Deprecated.
  Moves the cursor to the given row number in the result set

### scrollableCursorSize

    public int scrollableCursorSize(java.rmi.server.ObjID cursorId)

  Deprecated.
  Return the scrollable cursor size

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD